---
title: patternTransform
slug: Web/SVG/Attribute/patternTransform
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>patternTransform</code></strong> attribute defines a list of <a href="/en-US/docs/Web/SVG/Attribute/transform#Transform_functions">transform definitions</a> that are applied to a pattern tile.</p>

<p>Only one element is using this attribute: {{SVGElement('pattern')}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- Apply a transform on the tile --&gt;
  &lt;pattern id="p1" width=".25" height=".25"
           patternTransform="rotate(20)
                             skewX(30)
                             scale(1 0.5)"&gt;
    &lt;circle cx="10" cy="10" r="10" /&gt;
  &lt;/pattern&gt;

  &lt;!-- Apply the transformed pattern tile --&gt;
  &lt;rect x="10" y="10" width="80" height="80"
        fill="url(#p1)" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 300)}}</p>
</div>

<h2 id="pattern">pattern</h2>

<p>For {{SVGElement('pattern')}}, <code>patternTransform</code> defines a list of <a href="/en-US/docs/Web/SVG/Attribute/transform#Transform_functions">transform definitions</a> that are applied to a pattern tile.</p>

<p class="note"><strong>Note:</strong> As of SVG2, it is also allowed to use the CSS {{ cssxref('transform') }} property. However, the current state of implementation isn't very good. For backward compatibility reason, it is highly suggested to keep using the <code>patternTransform</code> attribute.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><a href="/en-US/docs/Web/SVG/Attribute/transform#Transform_functions">&lt;transform-list&gt;</a></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>Identity transform</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Transform_functions">Transform functions</h3>

<p>To know more about the definition of transform functions, see the {{ SVGAttr("transform") }} attribute definition.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#PatternElementPatternTransformAttribute", "patternTransform")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#PatternElementPatternTransformAttribute", "patternTransform")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.pattern.patternTransform")}}</p>
